Skip to main content
POST
Create a crypto payment customer wallet

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string<uuid>
required

Customer identifier.

Body

application/json
type
enum<string>
required

Customer wallet type. Hosted customer wallets are currently supported for API creation.

Available options:
hosted
Example:

"hosted"

chain
enum<string>
required

A blockchain that a given currency is available on.

Note: Arc (ARC) is only available in the sandbox environment (api-sandbox.circle.com).

Available options:
ALGO,
APTOS,
ARB,
ARC,
AVAX,
BASE,
BTC,
CELO,
CODEX,
ETH,
HBAR,
HYPEREVM,
INK,
LINEA,
NEAR,
NOBLE,
OP,
PLUME,
PAH,
POLY,
SEI,
SOL,
SONIC,
SUI,
UNI,
WORLDCHAIN,
XLAYER,
XDC,
XLM,
XRP,
ZKS,
ZKSYNC
vaspId
string<uuid>
required

Hosted VASP identifier for the customer wallet.

Example:

"581b9b20-28e1-464d-a257-e408733d0857"

address
string

Optional customer wallet address.

Maximum string length: 255
Example:

"0x57414adbBbc4BBA36f1dE26b2dc1648b28ae7799"

addressTag
string | null

Optional secondary address identifier. Only allowed when address is provided.

Example:

"123456789"

Response

Customer wallet successfully created.

data
object

Customer wallet linked to a Travel Rule customer.